package com.clx.performance.param.app.collect;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Getter
@Setter
@NoArgsConstructor
public class CollectTruckLocationSaveParam {

    @ApiModelProperty(value = "车牌号", example = "京A12345")
    @NotBlank(message = "车牌号不能为空")
    private String truckNo;

    @ApiModelProperty(value = "车辆出车状态 1:空车 2:运单-空车 3:运单-重车", example = "1")
    @NotNull(message = "车辆出车状态不能空")
    private Integer truckOrderStatus;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "详细地址", example = "北京路1号")
    private String address;

}
