package com.clx.performance.vo.app.collect;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
* @Author: aiqinguo
* @Description: 线路信息上报
* @Date: 2023/10/16 13:06:26
* @Version: 1.0
*/

@ApiModel(description = "线路信息上报")
@Getter
@Setter
@ToString
@NoArgsConstructor
public class CollectLineReportVO {

    @ApiModelProperty(value = "id", example = "")
    private Integer id;
    @ApiModelProperty(value = "用户编号", example = "")
    private Long userNo;
    @ApiModelProperty(value = "用户姓名", example = "")
    private String name;
    @ApiModelProperty(value = "手机号码", example = "")
    private String mobile;
    @ApiModelProperty(value = "车牌号", example = "")
    private String truckNo;
    @ApiModelProperty(value = "运单编号", example = "")
    private String childNo;
    @ApiModelProperty(value = "地址id", example = "")
    private Integer addressId;
    @ApiModelProperty(value = "详细地址", example = "")
    private String address;
    @ApiModelProperty(value = "类型：1 发货地 2 目的地", example = "")
    private Integer type;
    @ApiModelProperty(value = "上报类型：1：货源地情况\r\n   2:无法到达货源地 3:无法装货 4：无法到达目的地 4：运单取消 5：没有接单\r\n  6：装车异常 7：卸车异常", example = "")
    private Integer reportType;
    @ApiModelProperty(value = "拉运状态 1: 正常 2：异常", example = "")
    private Integer reportStatus;
    @ApiModelProperty(value = "状态描述", example = "")
    private String remark;
    @ApiModelProperty(value = "上报图片", example = "")
    private String image;
    @ApiModelProperty(value = "上报时间", example = "")
    private String reportTime;
    @ApiModelProperty(value = "创建时间", example = "")
    private String createTime;
    @ApiModelProperty(value = "修改时间", example = "")
    private String modifiedTime;

}